(function(exports) {
	var response_lenght = 10;
	var queryTimeout = 3000;
	var access_commands = [
			{"name": l100n.localize_string("access_control_on"), "command": "0x10000"},
			{"name": l100n.localize_string("access_control_off"), "command": "0x20000"},
			{"name": l100n.localize_string("access_level_reset"), "command": "0x30000"},
			{"name": l100n.localize_string("change_password"), "command": "0x40000"},
			{"name": l100n.localize_string("counter_reset"), "command": "1991"},
			{"name": l100n.localize_string("download_settings"), "command": "0x00050000"},
			{"name": l100n.localize_string("upload_settings"), "command": "0x00060000"},
			{"name": l100n.localize_string("reboot"), "command": "0x746f6f62"}
	];
	var connection_scheme = [
			{"name": "4LN3", "command": "0"},
			{"name": "4LL3/3LL3", "command": "8"},
			{"name": "4LN2", "command": "1"},
			{"name": "3LN3", "command": "4"},
			{"name": "3LN2", "command": "5"},
			{"name": "3LL2", "command": "9"},
			{"name": "3OP3", "command": "2"},
			{"name": "3OP2", "command": "3"}
	];
	var current_range = [
			{"name": "H-5A/L-0,1A", "command": "1"},
			{"name": "H-1,25A/L-0,025A", "command": "4"}
	];
	var current_diff_range = [
			{"name": "500mA", "command": "1"},
			{"name": "125mA", "command": "4"}
	];
	var access_values = [
			{"new_value": l100n.localize_string("off"), "raw_value": "0"},
			{"new_value": l100n.localize_string("user"), "raw_value": "1"},
			{"new_value": l100n.localize_string("admin"), "raw_value": "2"}
	];
	var default_checkbox_values = [
			{"new_value": l100n.localize_string("off"), "raw_value": "0"},
			{"new_value": l100n.localize_string("on"), "raw_value": "1"}
	];
	var on_off_values = [
			{"name": l100n.localize_string("off"), "command": "0"},
			{"name": l100n.localize_string("on"), "command": "1"}
	];
	var baudrate = [
		{"name": "9.6", "command": "9600"},
		{"name": "19.2", "command": "19200"},
		{"name": "38.4", "command": "38400"},
		{"name": "56", "command": "56000"},
		{"name": "115.2", "command": "115200"}
	];
	var CAN_speed = [
		{"name": "50", "command": "50000"},
		{"name": "100", "command": "100000"},
		{"name": "125", "command": "125000"},
		{"name": "250", "command": "250000"},
		{"name": "500", "command": "500000"},
		{"name": "800", "command": "800000"},
		{"name": "1000", "command": "1000000"}
	];
	var parity = [
		{"name": l100n.localize_string("off"), "command": "0"},
		{"name": l100n.localize_string("even"), "command": "1"},
		{"name": l100n.localize_string("odd"), "command": "2"}
		];
	var stopbits = [
		{"name": "1", "command": "1"},
		{"name": "2", "command": "2"}
	];
	var parity = [
		{"name": l100n.localize_string("off"), "command": "0"},		
		{"name": l100n.localize_string("even"), "command": "1"},
		{"name": l100n.localize_string("odd"), "command": "2"}
	];
	var stopbits = [
		{"name": "1", "command": "1"},
		{"name": "2", "command": "2"}
	];
	var data_type_template = {"templates": [
			{"index": "2081_1","template": "datetime"},
			{"index": "2002_1","template": "combobox", "commands": access_commands},
			{"index": "2001_9","template": "change_value", "commands": access_values},
			{"index": "4060_1","template": "combobox", "commands": connection_scheme},
			{"index": "4060_2","template": "combobox", "commands": current_range},
			{"index": "4060_3","template": "combobox", "commands": current_diff_range},
			{"index": "2002_2","template": "password"},
			{"index": "1018_3","template": "ip_addr"},
			{"index": "2000_3","template": "ip_addr"},
			{"index": "2000_6","template": "ip_addr"},
			{"index": "2213_2","template": "ip_addr"},
			{"index": "2213_3","template": "ip_addr"},
			{"index": "2213_4","template": "ip_addr"},
			{"index": "2213_5","template": "ip_addr"},
			{"index": "2213_6","template": "ip_addr"},
			{"index": "2143_4","template": "combobox", "commands": parity},
			{"index": "2143_5","template": "combobox", "commands": stopbits},
			{"index": "2213_1","template": "combobox", "commands": on_off_values},
			{"index": "2143_1","template": "combobox", "commands": on_off_values},
			{"index": "2143_2","template": "combobox", "commands": baudrate},
			{"index": "2103_1","template": "combobox", "commands": on_off_values},
			{"index": "2103_2","template": "combobox", "commands": CAN_speed},
			{"index": "1011_1","template": "restore_params"}
	]};
	exports.response_lenght = function() { return response_lenght;}
	exports.queryTimeout = function() { return queryTimeout;}
	exports.data_type_template = function() { return data_type_template;}
	exports.default_checkbox_values = function() { return default_checkbox_values;}
})(this.configuration = {});
